summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorkanehekili2021-06-03 01:08:33 +0200
committerkanehekili2021-06-03 01:08:33 +0200
commit8d6b8f9ff07626c95a0c526635069a8244d703c9 (patch)
treedc69e411969873756043b4f6b90a29319f2401c9
downloadaur-8d6b8f9ff07626c95a0c526635069a8244d703c9.tar.gz
Initial commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD23
-rw-r--r--vc.install7
3 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9c49cf51827
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = videocut
+ pkgdesc = Fast mp4/matroska/Av1/webm/mp2/mpts lossless Video cutter
+ pkgver = 1.3.2
+ pkgrel = 1
+ url = https://github.com/kanehekili/VideoCut
+ install = vc.install
+ arch = x86_64
+ license = GPL 2
+ depends = python-pyqt5
+ depends = python-numpy
+ depends = hdf5
+ depends = ffmpeg
+ depends = python-opencv
+ source = https://raw.githubusercontent.com/kanehekili/VideoCut/master/build/videocut1.3.2.tar
+ md5sums = 2be003a951cc812067221f7a3b0bef8d
+
+pkgname = videocut
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2e73c7e48fc
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Kanehekili (mat dot wegmann at gmail dot com)
+pkgname=videocut
+pkgver=1.3.2
+pkgrel=1
+pkgdesc="Fast mp4/matroska/Av1/webm/mp2/mpts lossless Video cutter"
+url="https://github.com/kanehekili/VideoCut"
+license=('GPL 2')
+depends=('python-pyqt5' 'python-numpy' 'hdf5' 'ffmpeg' 'python-opencv')
+install='vc.install'
+arch=('x86_64')
+source=(https://raw.githubusercontent.com/kanehekili/VideoCut/master/build/videocut1.3.2.tar)
+md5sums=(2be003a951cc812067221f7a3b0bef8d)
+package(){
+ cd ${srcdir}
+ mkdir -p "${pkgdir}/opt/${pkgname}"
+ mkdir -p "${pkgdir}/usr/share/applications"
+ rm $srcdir/$pkgname/install.sh
+ rm $srcdir/$pkgname/uninstall.sh
+ cp $srcdir/$pkgname/VideoCut.desktop "${pkgdir}/usr/share/applications"
+ cp -r $srcdir/$pkgname/* "${pkgdir}/opt/${pkgname}" || return 1
+}
+
+
diff --git a/vc.install b/vc.install
new file mode 100644
index 00000000000..78cba5a479f
--- /dev/null
+++ b/vc.install
@@ -0,0 +1,7 @@
+post_install() {
+ ln -s /opt/videocut/VideoCut.py /usr/bin/VideoCut
+}
+
+pre_remove() {
+ rm /usr/bin/VideoCut
+}